using System;
using System.Linq;
using AutoMapper;
using Qusion.Cms.Modules.Events;
using Qusion.Cms.Modules.Events.Core;
using Qusion.Cms.Users.Core;

namespace Qusion.WebApp.Areas.cms.Models.Events
{
    public class EventProfile : Profile
    {
        private readonly EventService _eventService;
        private readonly UserService _userService;

        public EventProfile(UserService userService, EventService eventService)
        {
            _userService = userService;
            _eventService = eventService;
        }

        protected override void Configure()
        {
            Mapper.CreateMap<Event, EventListModel>();

            Mapper.CreateMap<Event, EventModel>();
          

            CreateMap<EventQueryInput, EventQuery>()
                .ConstructUsing(x => EventQuery.Default);
        }

       
    }
}